---
title: "AnonymousSession"
generated: true
---
<GenerationInfo sourceFile="packages/core/src/entity/session/anonymous-session.entity.ts" sourceLine="16" packageName="@vendure/core" />

An anonymous session is created when a unauthenticated user interacts with restricted operations,
such as calling the `activeOrder` query in the Shop API. Anonymous sessions allow a guest Customer
to maintain an order without requiring authentication and a registered account beforehand.

```ts title="Signature"
class AnonymousSession extends Session {
    constructor(input: DeepPartial<AnonymousSession>)
}
```
* Extends: <DocsLink href="/reference/typescript-api/entities/session#session">`Session`</DocsLink>



<div className="members-wrapper">

### constructor

<MemberInfo kind="method" type={`(input: `DeepPartial<`<a href='/reference/typescript-api/entities/anonymous-session#anonymoussession'>AnonymousSession</a>`>`) => AnonymousSession`}   />




</div>
